/* 
 * Tactic is the legal property of its developers, whose names are too numerous 
 * to list here.  Please refer to the COPYRIGHT file distributed with this 
 * source distribution. 
 * 
 * This library is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation; either 
 * version 2.1 of the License, or (at your option) any later version. 
 * 
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * Lesser General Public License for more details. 
 * 
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 * See README for more informations
 *
 * Tests
 *
 * Tests of the FuzzyNumbers, FuzzyValues and decision engine in the condition in which
 * they will be implemented
 *
 * Date 1/04/06
 *
 */

#ifndef MAIN_CPP
#define MAIN_CPP

// Librairies

#include <stdio.h>
#include <string>
#include <iostream>
#include "GroupAI.h"
#include "InfoGround.h"

using namespace std;

int main() {
	
	// variable qui ne sert qu'à garder la fenetre de l'execution ouverte
	std::string tampon;

	// variables
	InferenceEngine* ie = new InferenceEngine();
	InfoGround infoG = InfoGround();
	Point2D pt2d = Point2D(100, 21);
	EnnemyGroup ennemy = EnnemyGroup();
	GroupAI gAlly = GroupAI();
	GroupAI gai = GroupAI(ie);
	gai.setInfoGround(&infoG);
	gai.setZone(&pt2d);
	gai.setEnnemyGroup(&ennemy);
	gai.setAlly(&gAlly);

	cout << gai.toString() << '\n';
	gai.update();
	cout << gai.toString() << '\n';

	cin >> tampon;
	return 0;
}

#endif